
QGIS Application - Bug report #20617

refreshing of a layer (raster) doesn't work after georeferencing

2018-11-24 01:21 PM - Gabriela Osaci Costache

Status: Open

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28437

Description

Steps:

1. load an already geo-referenced map

2. open the georeferencer and load the map to be georeferenced and choose/set some GCP points

3. save the file with the points

4. choose the transformation settings and select "Load in QGIS when done".

5. press "Start georeferencing", result map is loaded. Keep the georeferencer dialog open

Up to this point everything goes smoothly, as always, up to version 2.18.25 included

7. add some new GCPs or modify existing ones

8. set the transformation settings with the option "Load in QGIS when done" NOT active, set the output name the same as the previous

georeferencing operation, effectively overwriting the previous output

9. press "Start georeferencing".

At this point in QGIS 2.18 using "Refresh (F5)" will effectively show the result of the second georeferencing operation while in QGIS 3 it

continues to show the first result.

File (zip): https://drive.google.com/file/d/1c4q_jP9rKS0IQ_2olAI6qPb4QJFfSnHz/view?usp=sharing

History

#1 - 2018-11-26 01:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

I'm quite familiar with the georeferencing process, but somehow I'm struggling to understand the problem (in your sample data, what is the map that is

already georeferenced and the one you want to georeference?) . A screencast would be much appreciated.

#2 - 2018-11-26 04:00 PM - Gabriela Osaci Costache

- the file "Lambert_1904_Campulung_frammento" = the georeferencing map

- the "Lambert_1904_Campulung_frammento_modificato" file = the georeferenced map using the Helmert transformation

- the file "Lambert_1904_Campulung_frammento_modificato_TPS" = the georeferenced map using the TPS transformation

Grazie!
https://drive.google.com/file/d/1c4q_jP9rKS0IQ_2olAI6qPb4QJFfSnHz/view?usp=sharing


#3 - 2018-11-26 05:18 PM - Giovanni Manghi

Gabriela Osaci Costache wrote:

- the file "Lambert_1904_Campulung_frammento" = the georeferencing map

this map is no georeferenced, so you cannot use it to georeference other maps:

giovanni@sibirica:~$ gdalinfo Downloads/georef/Lambert_1904_Campulung_frammento.tif

Driver: GTiff/GeoTIFF

Files: Downloads/georef/Lambert_1904_Campulung_frammento.tif

Size is 2414, 1541

Coordinate System is `'

Metadata:

  TIFFTAG_DOCUMENTNAME=C:\Users\Catalina\Desktop\Lambert_Campulung_frammento.tif

  TIFFTAG_RESOLUTIONUNIT=2 (pixels/inch)

  TIFFTAG_XRESOLUTION=200

  TIFFTAG_YRESOLUTION=200

Image Structure Metadata:

  COMPRESSION=LZW

  INTERLEAVE=PIXEL

Corner Coordinates:

Upper Left  (    0.0,    0.0)

Lower Left  (    0.0, 1541.0)

Upper Right ( 2414.0,    0.0)

Lower Right ( 2414.0, 1541.0)

Center      ( 1207.0,  770.5)

Band 1 Block=2414x64 Type=Byte, ColorInterp=Red

Band 2 Block=2414x64 Type=Byte, ColorInterp=Green

Band 3 Block=2414x64 Type=Byte, ColorInterp=Blue

#4 - 2018-11-26 05:51 PM - Gabriela Osaci Costache

Sorry for my mistake.

"Lambert_1904_Campulung_frammento.tif" is the map without georeferencing, that I have to georeference on the basis of the topographic map.

Grazie!

#5 - 2018-11-26 05:58 PM - Gabriela Osaci Costache

- File cattura_QGIS_341_bis.png added

Screenshot

#6 - 2018-11-28 08:27 AM - Giovanni Manghi

- Description updated

- Category changed from Rasters to C++ plugins/Georeferencer

- Status changed from Feedback to Open
- Operating System deleted (Windows 10 (32 and 64 bit))

#7 - 2018-11-28 07:42 PM - Gabriela Osaci Costache

Up to point 5 everything goes smoothly, as always, up to version 2.18.26-1 included.

Grazie mille!

Files

cattura_QGIS_341_bis.png 2.67 MB 2018-11-26 Gabriela Osaci Costache
